FRIENDLY(1)

NAME
friendly - friendlier Python tracebacks

SYNOPSIS
friendly [OPTIONS] [source] [args ...]

DESCRIPTION
friendly makes Python tracebacks easier to understand by providing

 clearer, friendlier error messages in various human languages.

If no source is provided, Friendly starts an interactive console similar

to a Python shell with enhanced traceback explanations.

If a script is provided, Friendly runs it as if it were the main module

and displays detailed traceback information if an exception occurs.

POSITIONAL ARGUMENTS

source
    The path to a Python script to run (e.g., path/to/script.py). The script

    will be treated as the main module (i.e., __name__ == "__main__").

args
    Optional arguments to pass to the script specified in source.

OPTIONS

-h, --help
    Show this help message and exit.

--lang LANG
    Set the interface language for Friendly using a two-letter code, such

    as fr for French or en for English.

    Note: Translations for French (fr), Russian (ru), and Spanish (es)

    are currently incomplete.It is recommended to use your default

    language, English (en).

--version
    Show the current version of Friendly and Friendly-Traceback and exit.

-f, --formatter FORMATTER
    Specify the output formatter. Available options include dark, light.

--background COLOR
    Set the background color for the dark or light formatter. Must

     be a hex color code like #ffffff.

--debug
    Enable debug mode (for developers).

--no_debug
    Disable debug mode.

--include CONTENT
    Specify which content to include by default in the traceback.

    Defaults to friendly_tb when showing the console, and explain otherwise.

--python_prompt
    Use the standard Python prompt in the interactive console.

-i  Launch the Friendly console after executing the script.

-x  Only launch the Friendly console after executing the script if an exception was raised.

EXAMPLES

Display version info:
    friendly --version Friendly version 0.7.21

Friendly allows
    friendly my_script.py

Run a script and enter the console only if an exception is raised:

    friendly -x my_script.py

Run the friendly console in interactive mode:

    friendly or friendly -i my_script.py

Use the dark formatter with a custom RGB background color:
    friendly -f dark --background "#808080" my_script.py
    friendly -f dark --background "#000000" my_script.py
    friendly -f dark --background "#505050" my_script.py

Use the light formatter with a custom RGB background color:
    friendly -f light --background "#e0f7fa" my_script.py
    friendly -f light --background "#fff8b0" my_script.py
    friendly -f light --background  "#ccffcc" my_script.py

Friendly allows Combines the parameters

    friendly -f dark --background "#2e2e2e" -x my_script.py

    friendly -f light --background "#ffffff" -x my_script.py

Changes the console prompt to the default Python prompt (>>>) instead of the custom Friendly prompt:
    friendly --python_prompt -i my_script.py

Enables/disables additional information for developers:
    friendly --debug my_script.py or friendly --no_debug my_script.py

SEE ALSO
see: https://friendly-traceback.github.io/docs/index.html

AUTHOR
Friendly was created by André Roberge.

This manual page was written for the Debian project by Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>.